### File

`src/lib/decorators/control-set-value.ts`

### Index

###### Properties

- Optional initial
- propertyKey

### Properties

initial
`initial: `boolean``
Type : `boolean`
Optional

propertyKey
`propertyKey: `string``
Type : `string`

    import { MetadataKeys } from './metadata-keys';
    import { setMetadataMapSet } from '@rxap/reflect-metadata';

    export interface ControlSetValueOptions {
      propertyKey: string;
      initial?: boolean;
    }

    export function ControlSetValue(controlId: string, options: Omit<ControlSetValueOptions, 'propertyKey'> = {}) {

      return function (target: any, propertyKey: string) {

        setMetadataMapSet(controlId, {
          ...options,
          propertyKey,
        }, MetadataKeys.CONTROL_SET_VALUE, target);

      };

    }

# results matching ""

# No results matching ""